Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 1015)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! accelerator versions (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator versions (*_acc) added
 !
 ! 1010 2012-09-20 07:59:54Z raasch
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 1015)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Currrent revisions:
 ! -----------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 1010 2012-09-20 07:59:54Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1015)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1017)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! acc allowed for loop optimization,
-! checks for adjustment of mixing length to the Prandtl mixing length removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! acc allowed for loop optimization,
+! checks for adjustment of mixing length to the Prandtl mixing length removed
 !
 ! 1003 2012-09-14 14:35:53Z raasch
Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 1015)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 254 2009-03-05 15:33:42Z heinze
Index: palm/trunk/SOURCE/cpu_statistics.f90
===================================================================
--- palm/trunk/SOURCE/cpu_statistics.f90	(revision 1015)
+++ palm/trunk/SOURCE/cpu_statistics.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! output of accelerator board information
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! output of accelerator board information
 !
 ! 683 2011-02-09 14:25:15Z raasch
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 1015)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 1017)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
 ! accelerator version (*_acc) added,
 ! adjustment of mixing length to the Prandtl mixing length at first grid point
 ! above ground removed
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1010 2012-09-20 07:59:54Z raasch
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 1015)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 1010 2012-09-20 07:59:54Z raasch
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 1015)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 1001 2012-09-13 14:08:46Z raasch
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 1015)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 1001 2012-09-13 14:08:46Z raasch
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 1015)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 1001 2012-09-13 14:08:46Z raasch
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 1015)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 1017)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
 ! OpenACC statements added + code changes required for GPU optimization,
 ! adjustment of mixing length to the Prandtl mixing length at first grid point
 ! above ground removed
-! 
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1015)
+++ palm/trunk/SOURCE/header.f90	(revision 1017)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! output of Aajustment of mixing length to the Prandtl mixing length at first
-! grid point above ground removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! output of Aajustment of mixing length to the Prandtl mixing length at first
+! grid point above ground removed
 !
 ! 1003 2012-09-14 14:35:53Z raasch
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 1015)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 1017)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! adjustment of mixing length to the Prandtl mixing length at first grid point
-! above ground removed
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! adjustment of mixing length to the Prandtl mixing length at first grid point
+! above ground removed
 !
 ! 1001 2012-09-13 14:08:46Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1015)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1017)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! mask is set to zero for ghost boundaries
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! mask is set to zero for ghost boundaries
 !
 ! 1010 2012-09-20 07:59:54Z raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1015)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1017)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! lower index for calculating wall_flags_0 set to nzb_w_inner instead of
-! nzb_w_inner+1
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! lower index for calculating wall_flags_0 set to nzb_w_inner instead of
+! nzb_w_inner+1
 !
 ! 996 2012-09-07 10:41:47Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1015)
+++ palm/trunk/SOURCE/modules.f90	(revision 1017)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +acc_rank, num_acc_per_node,
-! -adjust_mixing_length
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! +acc_rank, num_acc_per_node,
+! -adjust_mixing_length
 !
 ! 1010 2012-09-20 07:59:54Z raasch
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1015)
+++ palm/trunk/SOURCE/palm.f90	(revision 1017)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! OpenACC statements added + code changes required for GPU optimization
+!
 !
 ! Former revisions:
@@ -10,5 +10,7 @@
 ! $Id$
 !
+! 1015 2012-09-27 09:23:24Z raasch
 ! Version number changed from 3.8 to 3.8a.
+! OpenACC statements added + code changes required for GPU optimization
 !
 ! 849 2012-03-15 10:35:09Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1015)
+++ palm/trunk/SOURCE/parin.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! -adjust_mixing_length
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! -adjust_mixing_length
 !
 ! 1003 2012-09-14 14:35:53Z raasch
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1015)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! OpenACC statements added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! OpenACC statements added
 !
 ! 978 2012-08-09 08:28:32Z fricke
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 1015)
+++ palm/trunk/SOURCE/production_e.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 1007 2012-09-19 14:30:36Z franke
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1015)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1017)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! new branch prognostic_equations_acc
-! OpenACC statements added + code changes required for GPU optimization
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! new branch prognostic_equations_acc
+! OpenACC statements added + code changes required for GPU optimization
 !
 ! 1001 2012-09-13 14:08:46Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1015)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! -adjust_mixing_length
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! -adjust_mixing_length
 !
 ! 1003 2012-09-14 14:35:53Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1015)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +call of prognostic_equations_acc
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! +call of prognostic_equations_acc
 !
 ! 1001 2012-09-13 14:08:46Z raasch
Index: palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/wall_fluxes.f90	(revision 1015)
+++ palm/trunk/SOURCE/wall_fluxes.f90	(revision 1017)
@@ -3,9 +3,12 @@
 ! Current revisions:
 ! -----------------
-! accelerator version (*_acc) added
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! accelerator version (*_acc) added
 !
 ! 187 2008-08-06 16:25:09Z letzel
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1015)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1017)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! -adjust_mixing_length
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1015 2012-09-27 09:23:24Z raasch
+! -adjust_mixing_length
 !
 ! 1003 2012-09-14 14:35:53Z raasch