Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1020)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1021)
@@ -137,4 +137,5 @@
      # 25/06/12 - Siggi - option -K (block conditions) added
      # 27/09/12 - Siggi - compiler options (F90FLAGS) added for namelist check
+     # 02/10/12 - Siggi - added lcsb
 
 
@@ -537,4 +538,5 @@
         (lcmuk)          remote_addres=130.75.105.2;;
         (lcrte)          remote_addres=133.5.185.60;;
+        (lcsb)           remote_adress=147.46.30.151;;
         (lcsgib)         remote_addres=130.73.232.102;;
         (lcsgih)         remote_addres=130.75.4.101;;
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1020)
+++ palm/trunk/SCRIPTS/mrun	(revision 1021)
@@ -268,4 +268,7 @@
      #                      update of the ssh calls
      # 06/09/12 - Bjoern  - typo removed: "-D_parallel" -> "-D__parallel"
+     # 02/10/12 - Siggi   - adjusted for lcsb (urban00)
+
+
  
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
@@ -357,4 +360,8 @@
    return_addres=165.132.26.68
    echo "+++ WARNING: fixed return_addres = $return_addres is used !!!!!"
+ elif [[ `hostname` = urban00 ]]
+ then
+   return_addres=147.46.30.151
+   echo "+++ WARNING: fixed return_addres = $return_addres is used !!!!!"
  else
     return_addres=$(nslookup `hostname` 2>&1 | grep "Address:" | tail -1 | awk '{print $2}')
@@ -721,5 +728,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|unics|lcxe6|lcxt5m|lck|lckordi)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|unics|lcxe6|lcxt5m|lck|lckordi|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -885,5 +892,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckordi)  true;;
+                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckordi|lcsb)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1169,5 +1176,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckordi)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxe6|lcxt5m|lck|lckordi|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -2067,5 +2074,5 @@
  lopts="$lopts $netcdf_lib $dvr_lib"
  ROPTS="$ropts"
- if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxe6 ||  $host = lcxt5m || $host = lck || $host = lckordi)  &&  -n $numprocs ]]
+ if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxe6 ||  $host = lcxt5m || $host = lck || $host = lckordi || $host = lcsb )  &&  -n $numprocs ]]
  then
     XOPT="-X $numprocs"
@@ -3790,4 +3797,7 @@
                 then
                    mpiexec  -machinefile $TMPDIR/machines  -n $ii  -env I_MPI_FABRICS shm:ofa a.out  < runfile_atmos  $ROPTS
+                elif [[ $host = lcsb ]]
+                then
+                   mpirun_rsh -hostfile $PBS_NODEFILE -np `cat $PBS_NODEFILE | wc -l` a.out  < runfile_atmos  $ROPTS
                 else
                    mpiexec  -machinefile hostfile  -n $ii  a.out  < runfile_atmos  $ROPTS
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1020)
+++ palm/trunk/SCRIPTS/subjob	(revision 1021)
@@ -140,4 +140,6 @@
      #                      bugfixes for the parameter file check, initial 
      #                      commands on ssh calls sourced out to .mrun.config
+     # 02/10/12 - Siggi - adjustments for lcsb
+
 
 
@@ -260,4 +262,5 @@
      (r2*)                   local_addres=130.73.232.102; local_host=lcsgib;;
      (t2a*)                  local_addres=10.1.6.165;     local_host=lctit;;
+     (urban*)                local_addres=147.46.30.151   local_host=lcsb;;
      (vorias)                local_addres=172.20.25.43;   local_host=lcmuk;;
      (*.cc.kyushu-u.ac.jp)   local_addres=133.5.4.129;    local_host=ibmku;;
@@ -392,4 +395,5 @@
         (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
         (lckordi) remote_addres=210.219.61.8; submcom=/usr/torque/bin/qsub;;
+        (lcsb)    remote_addres=147.46.30.151; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=S; remote_addres=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
         (lcxe6)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.5.10/bin/qsub;;
@@ -822,5 +826,5 @@
     fi
 
- elif [[ $remote_host = lck || $remote_host = lckordi ]]
+ elif [[ $remote_host = lck || $remote_host = lckordi || $remote_host = lcsb ]]
  then
 
@@ -834,4 +838,5 @@
 #PBS -l pmem=${memory}mb
 #PBS -o $remote_dayfile
+#PBS -l nodes=$nodes:ppn=${processes_per_node}
 #PBS -j oe
 
@@ -1443,5 +1448,5 @@
        then
           eval  $submcom  $job_on_remhost
-       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxe6  ||  $localhost = lck  || $localhost = lckordi||  $localhost = lcyon ]]
+       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxe6  ||  $localhost = lck  || $localhost = lckordi ||  $localhost = lcyon || $localhost = lcsb ]]
        then
           chmod  u+x  $job_on_remhost