Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1008)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1031)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! netCDF4 without parallel file support implemented
 !
 ! Former revisions:
@@ -44,9 +44,9 @@
 !
 ! 493 2010-03-01 08:30:24Z raasch
-! NetCDF4 support (parallel output)
+! netCDF4 support (parallel output)
 !
 ! 367 2009-08-25 08:35:52Z maronga
-! simulated_time in NetCDF output replaced by time_since_reference_point.
-! Output of NetCDF messages with aid of message handling routine.
+! simulated_time in netCDF output replaced by time_since_reference_point.
+! Output of netCDF messages with aid of message handling routine.
 ! Bugfix: averaging along z is not allowed for 2d quantities (e.g. u* and z0)
 ! Output of messages replaced by message handling routine.
@@ -85,5 +85,5 @@
 ! Description:
 ! ------------
-! Data output of horizontal cross-sections in NetCDF format or binary format
+! Data output of horizontal cross-sections in netCDF format or binary format
 ! compatible to old graphic software iso2d.
 ! Attention: The position of the sectional planes is still not always computed 
@@ -146,7 +146,6 @@
 
 !
-!--       Classic and 64bit offset NetCDF output is done only on PE0.
-!--       netCDF4/HDF5 output is done in parallel on all PEs.
-          IF ( netcdf_output .AND. ( myid == 0 .OR. netcdf_data_format > 2 ) ) &
+!--       Parallel netCDF4/HDF5 output is done on all PEs, all other on PE0 only
+          IF ( netcdf_output .AND. ( myid == 0 .OR. netcdf_data_format > 4 ) ) &
           THEN
              CALL check_open( 101+av*10 )
@@ -169,7 +168,6 @@
 
 !
-!--       Classic and 64bit offset NetCDF output is done only on PE0.
-!--       netCDF4/HDF5 output may be done in parallel on all PEs.
-          IF ( netcdf_output .AND. ( myid == 0 .OR. netcdf_data_format > 2 ) ) &
+!--       Parallel netCDF4/HDF5 output is done on all PEs, all other on PE0 only
+          IF ( netcdf_output .AND. ( myid == 0 .OR. netcdf_data_format > 4 ) ) &
           THEN
              CALL check_open( 102+av*10 )
@@ -193,7 +191,6 @@
 
 !
-!--       Classic and 64bit offset NetCDF output is done only on PE0.
-!--       netCDF4/HDF5 output may be done in parallel on all PEs.
-          IF ( netcdf_output .AND. ( myid == 0 .OR. netcdf_data_format > 2 ) ) &
+!--       Parallel netCDF4/HDF5 output is done on all PEs, all other on PE0 only
+          IF ( netcdf_output .AND. ( myid == 0 .OR. netcdf_data_format > 4 ) ) &
           THEN
              CALL check_open( 103+av*10 )
@@ -703,11 +700,11 @@
 
 !
-!--                Update the NetCDF xy cross section time axis
-                   IF ( myid == 0  .OR.  netcdf_data_format > 2 )  THEN
+!--                Update the netCDF xy cross section time axis
+                   IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
                       IF ( simulated_time /= do2d_xy_last_time(av) )  THEN
                          do2d_xy_time_count(av) = do2d_xy_time_count(av) + 1
                          do2d_xy_last_time(av)  = simulated_time
                          IF ( ( .NOT. data_output_2d_on_each_pe  .AND. &
-                              netcdf_output )  .OR.  netcdf_data_format > 2 ) &
+                              netcdf_output )  .OR.  netcdf_data_format > 4 ) &
                          THEN
 #if defined( __netcdf )
@@ -747,7 +744,7 @@
 
 #if defined( __parallel )
-                   IF ( netcdf_output  .AND.  netcdf_data_format > 2 )  THEN
-!
-!--                   Output in NetCDF4/HDF5 format.
+                   IF ( netcdf_output  .AND.  netcdf_data_format > 4 )  THEN
+!
+!--                   Parallel output in netCDF4/HDF5 format.
 !--                   Do not output redundant ghost point data except for the
 !--                   boundaries of the total domain.
@@ -951,6 +948,6 @@
                 CASE ( 'xz' )
 !
-!--                Update the NetCDF xz cross section time axis
-                   IF ( myid == 0  .OR.  netcdf_data_format > 2 )  THEN
+!--                Update the netCDF xz cross section time axis
+                   IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
 
                       IF ( simulated_time /= do2d_xz_last_time(av) )  THEN
@@ -958,5 +955,5 @@
                          do2d_xz_last_time(av)  = simulated_time
                          IF ( ( .NOT. data_output_2d_on_each_pe  .AND.        &
-                              netcdf_output )  .OR.  netcdf_data_format > 2 ) &
+                              netcdf_output )  .OR.  netcdf_data_format > 4 ) &
                          THEN
 #if defined( __netcdf )
@@ -1016,9 +1013,9 @@
 
 #if defined( __parallel )
-                   IF ( netcdf_output  .AND.  netcdf_data_format > 2 )  THEN
+                   IF ( netcdf_output  .AND.  netcdf_data_format > 4 )  THEN
 !
 !--                   ATTENTION: The following lines are a workaround, because
 !--                              independet output does not work with the
-!--                              current NetCDF4 installation. Therefore, data
+!--                              current netCDF4 installation. Therefore, data
 !--                              are transferred from PEs having the cross
 !--                              sections to other PEs along y having no cross
@@ -1049,5 +1046,5 @@
 
 !
-!--                   Output in NetCDF4/HDF5 format.
+!--                   Output in netCDF4/HDF5 format.
 !--                   Output only on those PEs where the respective cross
 !--                   sections reside. Cross sections averaged along y are
@@ -1261,6 +1258,6 @@
                 CASE ( 'yz' )
 !
-!--                Update the NetCDF yz cross section time axis
-                   IF ( myid == 0  .OR.  netcdf_data_format > 2 )  THEN
+!--                Update the netCDF yz cross section time axis
+                   IF ( myid == 0  .OR.  netcdf_data_format > 4 )  THEN
 
                       IF ( simulated_time /= do2d_yz_last_time(av) )  THEN
@@ -1268,5 +1265,5 @@
                          do2d_yz_last_time(av)  = simulated_time
                          IF ( ( .NOT. data_output_2d_on_each_pe  .AND.        &
-                              netcdf_output )  .OR.  netcdf_data_format > 2 ) &
+                              netcdf_output )  .OR.  netcdf_data_format > 4 ) &
                          THEN
 #if defined( __netcdf )
@@ -1325,9 +1322,9 @@
 
 #if defined( __parallel )
-                   IF ( netcdf_output  .AND.  netcdf_data_format > 2 )  THEN
+                   IF ( netcdf_output  .AND.  netcdf_data_format > 4 )  THEN
 !
 !--                   ATTENTION: The following lines are a workaround, because
 !--                              independet output does not work with the
-!--                              current NetCDF4 installation. Therefore, data
+!--                              current netCDF4 installation. Therefore, data
 !--                              are transferred from PEs having the cross
 !--                              sections to other PEs along y having no cross
@@ -1358,5 +1355,5 @@
 
 !
-!--                   Output in NetCDF4/HDF5 format.
+!--                   Output in netCDF4/HDF5 format.
 !--                   Output only on those PEs where the respective cross
 !--                   sections reside. Cross sections averaged along x are