Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1034)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1035)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
 ! netCDF4 without parallel file support implemented,
 ! opening of netCDF files are done by new routines create_netcdf_file and
 ! open_write_netcdf_file
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 964 2012-07-26 09:14:24Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1034)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1035)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! check of netcdf4 parallel file support
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031/1034 2012-10-22 11:32:49Z raasch
+! check of netcdf4 parallel file support
 !
 ! 1019 2012-09-28 06:46:45Z raasch
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 1034)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 1035)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! netCDF4 without parallel file support implemented
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! netCDF4 without parallel file support implemented
 !
 ! 964 2012-07-26 09:14:24Z raasch
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1034)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1035)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! netCDF4 without parallel file support implemented
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! netCDF4 without parallel file support implemented
 !
 ! 1007 2012-09-19 14:30:36Z franke
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1034)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1035)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! netCDF4 without parallel file support implemented
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! netCDF4 without parallel file support implemented
 !
 ! 1007 2012-09-19 14:30:36Z franke
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1034)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1035)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! netCDF4 without parallel file support implemented
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! netCDF4 without parallel file support implemented
 !
 ! 1007 2012-09-19 14:30:36Z franke
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1034)
+++ /palm/trunk/SOURCE/header.f90	(revision 1035)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! output of netCDF data format modified
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! output of netCDF data format modified
 !
 ! 1015 2012-09-27 09:23:24Z raasch
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 1034)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 1035)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! netCDF4 without parallel file support implemented
+!
 !
 ! Former revisions:
@@ -12,4 +12,7 @@
 ! 1032 2012-10-21 13:03:21Z letzel
 ! mask locations determined based on scalar positions
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! netCDF4 without parallel file support implemented
 !
 ! 996 2012-09-07 10:41:47Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1034)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1035)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +output_format_netcdf
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! +output_format_netcdf
 !
 ! 1015 2012-09-27 09:23:24Z raasch
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 1034)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 1035)
@@ -7,10 +7,13 @@
 ! Current revisions:
 ! ------------------
-! netCDF4 without parallel file support implemented, new routines
-! create_netcdf_file and open_write_netcdf_file at end
+!
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1031 2012-10-19 14:35:30Z raasch
+! netCDF4 without parallel file support implemented, new routines
+! create_netcdf_file and open_write_netcdf_file at end
 !
 ! 992 2012-09-05 15:08:26Z hoffmann