Index: palm/trunk/UTIL/Makefile
===================================================================
--- palm/trunk/UTIL/Makefile	(revision 921)
+++ palm/trunk/UTIL/Makefile	(revision 1046)
@@ -1,6 +1,23 @@
-#------------------------------------------------------------------------------!
+#--------------------------------------------------------------------------------#
+# This file is part of PALM.
 #
-# Actual revisions:
+# PALM is free software: you can redistribute it and/or modify it under the terms
+# of the GNU General Public License as published by the Free Software Foundation,
+# either version 3 of the License, or (at your option) any later version.
+#
+# PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# PALM. If not, see <http://www.gnu.org/licenses/>.
+#
+# Copyright 1997-2012  Leibniz University Hannover
+#--------------------------------------------------------------------------------#
+#
+# Current revisions:
 # -----------------
+# code put under GPL (PALM 3.9)
+#
 # utility programs are created separately for each block in the configuration
 # file,
@@ -17,5 +34,5 @@
 # ------------
 # Makefile for generating the utility programs needed by mrun and palm
-#------------------------------------------------------------------------------!
+#--------------------------------------------------------------------------------#
 
 PROG1 =  ../SCRIPTS/combine_plot_fields$(BLOCK).x
Index: palm/trunk/UTIL/analyze_particle_data.f90
===================================================================
--- palm/trunk/UTIL/analyze_particle_data.f90	(revision 921)
+++ palm/trunk/UTIL/analyze_particle_data.f90	(revision 1046)
@@ -1,12 +1,27 @@
  PROGRAM analyze_particle_data
-
-!-------------------------------------------------------------------------------!
-! Actual revisions:
+!--------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
 ! -----------------
-! 
+! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
 ! -----------------
-! 
+! $Id$
 !
 ! Description:
Index: palm/trunk/UTIL/analyze_particle_netcdf_data.f90
===================================================================
--- palm/trunk/UTIL/analyze_particle_netcdf_data.f90	(revision 921)
+++ palm/trunk/UTIL/analyze_particle_netcdf_data.f90	(revision 1046)
@@ -2,10 +2,28 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
 ! -----------------
-! 
+! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
 ! -----------------
+! $Id$
+!
 ! Initial revision 12/07/05
 !
Index: palm/trunk/UTIL/check_pegrid.f90
===================================================================
--- palm/trunk/UTIL/check_pegrid.f90	(revision 921)
+++ palm/trunk/UTIL/check_pegrid.f90	(revision 1046)
@@ -1,6 +1,31 @@
  PROGRAM check_pegrid
 
-!-------------------------------------------------------------------------------!
-! Beschreibung:
+!--------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
+! -----------------
+! code put under GPL (PALM 3.9)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+!
+! Description:
 ! -------------
 ! Ueberpruefung der Konsistenz von Prozessortopologie und gewaehlten Feldgrenzen
Index: palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields.f90	(revision 921)
+++ palm/trunk/UTIL/combine_plot_fields.f90	(revision 1046)
@@ -2,6 +2,23 @@
 
 !------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
 ! Current revisions:
 ! -----------------
+! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
Index: palm/trunk/UTIL/combine_plot_fields_single_open.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 921)
+++ palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 1046)
@@ -1,16 +1,35 @@
  PROGRAM combine_plot_fields
 
-!-------------------------------------------------------------------------------!
-! Aktuelle Aenderungen:
+!------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
+! -----------------
+! code put under GPL (PALM 3.9)
+! Prozessordateien werden einzeln geoeffnet und geschlossen
+!
+! Former revisions:
 ! ---------------------
-! Prozessordateien werden einzeln geoeffnet und geschlossen
-!
-! Fruehere Aenderungen:
-! ---------------------
+! $Id$
+!
 ! 23/02/99  Keine Bearbeitung komprimierter 3D-Daten
 ! Ursprungsversion vom 28/07/97
 !
 !
-! Beschreibung:
+! Description:
 ! -------------
 ! Vereinigung der von PARLES im Parallelbetrieb erzeugten Teilfelder zu
Index: palm/trunk/UTIL/compare_palm_logs.f90
===================================================================
--- palm/trunk/UTIL/compare_palm_logs.f90	(revision 921)
+++ palm/trunk/UTIL/compare_palm_logs.f90	(revision 1046)
@@ -2,10 +2,28 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
 ! -----------------
+! code put under GPL (PALM 3.9)
 ! name of data-directories are read from input
 !
 ! Former revisions:
 ! -----------------
+! $Id$ 
 !
 ! Description:
Index: palm/trunk/UTIL/find_palm_config.f90
===================================================================
--- palm/trunk/UTIL/find_palm_config.f90	(revision 921)
+++ palm/trunk/UTIL/find_palm_config.f90	(revision 1046)
@@ -1,4 +1,29 @@
  PROGRAM find_palm_config
 
+!------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
+! -----------------
+! code put under GPL (PALM 3.9)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
 !------------------------------------------------------------------------------!
 ! Description:
Index: palm/trunk/UTIL/interpret_config.f90
===================================================================
--- palm/trunk/UTIL/interpret_config.f90	(revision 921)
+++ palm/trunk/UTIL/interpret_config.f90	(revision 1046)
@@ -1,8 +1,24 @@
  PROGRAM interpret_config
 
-!------------------------------------------------------------------------------!
-! Actual revisions:
+!--------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
 ! -----------------
-! 
+! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
Index: palm/trunk/UTIL/mrungui/main.cpp
===================================================================
--- palm/trunk/UTIL/mrungui/main.cpp	(revision 921)
+++ palm/trunk/UTIL/mrungui/main.cpp	(revision 1046)
@@ -1,5 +1,22 @@
-//----------------------------------------------------------------------------//
+//------------------------------------------------------------------------------//
+// This file is part of PALM.
+//
+// PALM is free software: you can redistribute it and/or modify it under the terms
+// of the GNU General Public License as published by the Free Software Foundation,
+// either version 3 of the License, or (at your option) any later version.
+//
+// PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+// A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along with
+// PALM. If not, see <http://www.gnu.org/licenses/>.
+//
+// Copyright 1997-2012  Leibniz University Hannover
+//--------------------------------------------------------------------------------//
+//
 // Current revisions:
 // -----------------
+// code put under GPL (PALM 3.9)
 //
 // Former revisions:
Index: palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 921)
+++ palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1046)
@@ -1,6 +1,22 @@
-//----------------------------------------------------------------------------//
+//------------------------------------------------------------------------------//
+// This file is part of PALM.
+//
+// PALM is free software: you can redistribute it and/or modify it under the terms
+// of the GNU General Public License as published by the Free Software Foundation,
+// either version 3 of the License, or (at your option) any later version.
+//
+// PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+// A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along with
+// PALM. If not, see <http://www.gnu.org/licenses/>.
+//
+// Copyright 1997-2012  Leibniz University Hannover
+//--------------------------------------------------------------------------------//
+//
 // Current revisions:
 // -----------------
-//
+// code put under GPL (PALM 3.9)
 //
 // Former revisions:
Index: palm/trunk/UTIL/read_palm_netcdf_data.f90
===================================================================
--- palm/trunk/UTIL/read_palm_netcdf_data.f90	(revision 921)
+++ palm/trunk/UTIL/read_palm_netcdf_data.f90	(revision 1046)
@@ -1,5 +1,31 @@
  PROGRAM read_palm_netcdf_data
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------!
+! This file is part of PALM.
+!
+! PALM is free software: you can redistribute it and/or modify it under the terms
+! of the GNU General Public License as published by the Free Software Foundation,
+! either version 3 of the License, or (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
+! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with
+! PALM. If not, see <http://www.gnu.org/licenses/>.
+!
+! Copyright 1997-2012  Leibniz University Hannover
+!--------------------------------------------------------------------------------!
+!
+! Current revisions:
+! -----------------
+! code put under GPL (PALM 3.9)
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! Description:
+! ------------                     
 ! This is an example program for reading PALM 2d/3d NetCDF datasets
 !