Index: palm/trunk/SCRIPTS/compile_tutorial
===================================================================
--- palm/trunk/SCRIPTS/compile_tutorial	(revision 1046)
+++ palm/trunk/SCRIPTS/compile_tutorial	(revision 1047)
@@ -20,9 +20,11 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
 #
 # Typo removed
Index: palm/trunk/SCRIPTS/hlrn_watchdog
===================================================================
--- palm/trunk/SCRIPTS/hlrn_watchdog	(revision 1046)
+++ palm/trunk/SCRIPTS/hlrn_watchdog	(revision 1047)
@@ -20,9 +20,11 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
 #
 # 1029 2012-10-17 15:33:56Z maronga
Index: palm/trunk/SCRIPTS/img2stereo
===================================================================
--- palm/trunk/SCRIPTS/img2stereo	(revision 1046)
+++ palm/trunk/SCRIPTS/img2stereo	(revision 1047)
@@ -20,5 +20,5 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
+# 
 #
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
+# 
 # 981 2012-08-09 14:57:44Z maronga
 # Initial version
Index: palm/trunk/SCRIPTS/img2video
===================================================================
--- palm/trunk/SCRIPTS/img2video	(revision 1046)
+++ palm/trunk/SCRIPTS/img2video	(revision 1047)
@@ -20,5 +20,4 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 #
@@ -26,4 +25,7 @@
 # -----------------
 # $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
 #
 # 981 2012-08-09 14:57:44Z maronga
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1046)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1047)
@@ -20,10 +20,13 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
+# $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9) 
+# 
 # mbuild - script for compiling the PALM code and its utility programs
-# $Id$
 
      # Procedure to compile code on local and remote hosts using the
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1046)
+++ palm/trunk/SCRIPTS/mrun	(revision 1047)
@@ -20,10 +20,14 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
+# $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
+#
 # mrun - script for running PALM jobs
-# $Id$
+
 
      # Procedure for interactive/batch PALM runs (initial runs and automatic
Index: palm/trunk/SCRIPTS/mrungui
===================================================================
--- palm/trunk/SCRIPTS/mrungui	(revision 1046)
+++ palm/trunk/SCRIPTS/mrungui	(revision 1047)
@@ -20,9 +20,12 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
+
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
 #
 # 793 2011-12-12 15:15:24Z maronga
Index: palm/trunk/SCRIPTS/nc2vdf.ncl
===================================================================
--- palm/trunk/SCRIPTS/nc2vdf.ncl	(revision 1046)
+++ palm/trunk/SCRIPTS/nc2vdf.ncl	(revision 1047)
@@ -18,9 +18,11 @@
 ; Current revisions:
 ; -----------------
-; Initial revision
 ;
 ; Former revisions:
 ; -----------------
 ; $Id$
+;
+; 1046 2012-11-09 14:38:45Z maronga
+; Initial revision
 ;
 ; Description:
Index: palm/trunk/SCRIPTS/palm_simple_install
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_install	(revision 1046)
+++ palm/trunk/SCRIPTS/palm_simple_install	(revision 1047)
@@ -19,10 +19,12 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
-
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
+#
 # palm_simple_install - a script for simple installation and compilation of
 #                       the palm code without using mbuild
Index: palm/trunk/SCRIPTS/palm_simple_run
===================================================================
--- palm/trunk/SCRIPTS/palm_simple_run	(revision 1046)
+++ palm/trunk/SCRIPTS/palm_simple_run	(revision 1047)
@@ -19,9 +19,11 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
 
 # palm_simple_run - a simple method for running the palm code without
Index: palm/trunk/SCRIPTS/palmplot
===================================================================
--- palm/trunk/SCRIPTS/palmplot	(revision 1046)
+++ palm/trunk/SCRIPTS/palmplot	(revision 1047)
@@ -19,10 +19,12 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
-
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
+#
 # palmplot - script for running the NCL scripts
     # Using the available NCL scripts via the shell script palmplot
Index: palm/trunk/SCRIPTS/process_dvr_output
===================================================================
--- palm/trunk/SCRIPTS/process_dvr_output	(revision 1046)
+++ palm/trunk/SCRIPTS/process_dvr_output	(revision 1047)
@@ -19,9 +19,11 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
 #
 # process_dvr_output - a script processing dvr steering + data files
Index: palm/trunk/SCRIPTS/release_tutorial
===================================================================
--- palm/trunk/SCRIPTS/release_tutorial	(revision 1046)
+++ palm/trunk/SCRIPTS/release_tutorial	(revision 1047)
@@ -19,9 +19,11 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
 #
 # 981 2012-08-09 14:57:44Z maronga
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1046)
+++ palm/trunk/SCRIPTS/subjob	(revision 1047)
@@ -19,10 +19,12 @@
 # Current revisions:
 # -----------------
-# code put under GPL (PALM 3.9)
 #
 # Former revisions:
 # -----------------
 # $Id$
-
+#
+# 1046 2012-11-09 14:38:45Z maronga
+# code put under GPL (PALM 3.9)
+#
 # subjob - Plot-Shellskript         Version:  @(#)SUBJOB 1.0
      # Prozedur zum automatischen Generieren von Batch-Jobs, die unter NQS
Index: palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- palm/trunk/SOURCE/user_statistics.f90	(revision 1046)
+++ palm/trunk/SOURCE/user_statistics.f90	(revision 1047)
@@ -20,5 +20,4 @@
 ! Current revisions:
 ! -----------------
-! added preprocessor directive for parameter file check 
 !
 ! Former revisions:
@@ -26,4 +25,7 @@
 ! $Id$
 !
+! 1046 2012-11-09 14:38:45Z maronga
+! added preprocessor directive for parameter file check 
+! 
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
Index: palm/trunk/UTIL/Makefile
===================================================================
--- palm/trunk/UTIL/Makefile	(revision 1046)
+++ palm/trunk/UTIL/Makefile	(revision 1047)
@@ -18,4 +18,10 @@
 # Current revisions:
 # -----------------
+#
+# Former revisions:
+# -----------------
+# $Id$
+#
+# 1046 2012-11-09 14:38:45Z maronga
 # code put under GPL (PALM 3.9)
 #
@@ -24,8 +30,4 @@
 # compare_palm_logs added
 # added PROG3 in 'all:' statement (line 39, bugfix)
-#
-# Former revisions:
-# -----------------
-# $Id$
 #
 # Initial revision somewhere in 2003/04
Index: palm/trunk/UTIL/analyze_particle_data.f90
===================================================================
--- palm/trunk/UTIL/analyze_particle_data.f90	(revision 1046)
+++ palm/trunk/UTIL/analyze_particle_data.f90	(revision 1047)
@@ -19,9 +19,11 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
 !
 ! Description:
Index: palm/trunk/UTIL/analyze_particle_netcdf_data.f90
===================================================================
--- palm/trunk/UTIL/analyze_particle_netcdf_data.f90	(revision 1046)
+++ palm/trunk/UTIL/analyze_particle_netcdf_data.f90	(revision 1047)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
 !
 ! Initial revision 12/07/05
Index: palm/trunk/UTIL/check_pegrid.f90
===================================================================
--- palm/trunk/UTIL/check_pegrid.f90	(revision 1046)
+++ palm/trunk/UTIL/check_pegrid.f90	(revision 1047)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
+! 
 !
 ! Former revisions:
@@ -26,4 +26,6 @@
 ! $Id$
 !
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
 !
 ! Description:
Index: palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields.f90	(revision 1046)
+++ palm/trunk/UTIL/combine_plot_fields.f90	(revision 1047)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
 !
 ! 691 2011-03-04 08:45:30Z maronga
Index: palm/trunk/UTIL/combine_plot_fields_single_open.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 1046)
+++ palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 1047)
@@ -20,10 +20,11 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
-! Prozessordateien werden einzeln geoeffnet und geschlossen
 !
 ! Former revisions:
 ! ---------------------
 ! $Id$
+!
+! code put under GPL (PALM 3.9)
+! Prozessordateien werden einzeln geoeffnet und geschlossen
 !
 ! 23/02/99  Keine Bearbeitung komprimierter 3D-Daten
Index: palm/trunk/UTIL/compare_palm_logs.f90
===================================================================
--- palm/trunk/UTIL/compare_palm_logs.f90	(revision 1046)
+++ palm/trunk/UTIL/compare_palm_logs.f90	(revision 1047)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
-! name of data-directories are read from input
 !
 ! Former revisions:
 ! -----------------
 ! $Id$ 
+!
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
+! name of data-directories are read from input
 !
 ! Description:
Index: palm/trunk/UTIL/find_palm_config.f90
===================================================================
--- palm/trunk/UTIL/find_palm_config.f90	(revision 1046)
+++ palm/trunk/UTIL/find_palm_config.f90	(revision 1047)
@@ -20,5 +20,4 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
@@ -26,5 +25,8 @@
 ! $Id$
 !
-!------------------------------------------------------------------------------!
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
+! 
+!
 ! Description:
 ! -------------
Index: palm/trunk/UTIL/interpret_config.f90
===================================================================
--- palm/trunk/UTIL/interpret_config.f90	(revision 1046)
+++ palm/trunk/UTIL/interpret_config.f90	(revision 1047)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
 !
 ! 785 2011-11-28 09:47:19Z raasch
Index: palm/trunk/UTIL/mrungui/main.cpp
===================================================================
--- palm/trunk/UTIL/mrungui/main.cpp	(revision 1046)
+++ palm/trunk/UTIL/mrungui/main.cpp	(revision 1047)
@@ -18,9 +18,11 @@
 // Current revisions:
 // -----------------
-// code put under GPL (PALM 3.9)
 //
 // Former revisions:
 // -----------------
 // $Id$
+//
+// 1046 2012-11-09 14:38:45Z maronga
+// code put under GPL (PALM 3.9)
 //
 // 793 2011-12-12 15:15:24Z maronga
Index: palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1046)
+++ palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1047)
@@ -18,9 +18,11 @@
 // Current revisions:
 // -----------------
-// code put under GPL (PALM 3.9)
 //
 // Former revisions:
 // -----------------
 // $Id$
+//
+// 1046 2012-11-09 14:38:45Z maronga
+// code put under GPL (PALM 3.9)
 //
 // mainwindow.cpp 920 2012-06-05 09:56:53Z maronga
Index: palm/trunk/UTIL/read_palm_netcdf_data.f90
===================================================================
--- palm/trunk/UTIL/read_palm_netcdf_data.f90	(revision 1046)
+++ palm/trunk/UTIL/read_palm_netcdf_data.f90	(revision 1047)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! code put under GPL (PALM 3.9)
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1046 2012-11-09 14:38:45Z maronga
+! code put under GPL (PALM 3.9)
 !
 ! Description: