Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1053)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1054)
@@ -20,11 +20,13 @@
 ! Current revisions:
 ! ------------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary expansions according to the two new prognostic equations (nr, qr) 
 ! of the two-moment cloud physics scheme:
 ! +flux_l_*, flux_s_*, diss_l_*, diss_s_*, sums_ws*s_ws_l 
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 1053)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 1054)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! -----------------
-! averaging of nr, qr added
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
-! 
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! averaging of nr, qr added
+!
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 1053)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 1054)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! -----------------
-! boundary conditions for the two new prognostic equations (nr, qr) of the 
-! two-moment cloud scheme
 !  
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! boundary conditions for the two new prognostic equations (nr, qr) of the 
+! two-moment cloud scheme
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1053)
+++ /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1054)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! description expanded to the two-moment cloud scheme
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! description expanded to the two-moment cloud scheme
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1053)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1054)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary changes for the new two-moment cloud physics scheme added:
 ! - check cloud physics scheme (Kessler or Seifert and Beheng)
@@ -27,8 +33,4 @@
 ! - boundary condition of nr, qr
 ! - check output quantities (qr, nr, prr)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1053)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1054)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! +qr, nr, qc and cross sections
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! +qr, nr, qc and cross sections
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1053)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1054)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! +nr, qr, prr, qc and averaged quantities
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! +nr, qr, prr, qc and averaged quantities
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1053)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1054)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! -----------------
-! necessary additions for two-moment cloud physics scheme:
-! +nr, qr, qc, prr
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! necessary additions for two-moment cloud physics scheme:
+! +nr, qr, qc, prr
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1053)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1054)
@@ -23,12 +23,14 @@
 ! Current revisions:
 ! ------------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! allocation and initialisation of necessary data arrays for the two-moment 
 ! cloud physics scheme the two new prognostic equations (nr, qr):
 ! +dr, lambda_r, mu_r, sed_*, xr, *s, *sws, *swst, *, *_p, t*_m, *_1, *_2, *_3, 
 ! +tend_*, prr
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1053)
+++ /palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1054)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! ------------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! calculation of the maximum timestep according to the terminal velocity of rain 
 ! drops in the two moment cloud scheme
@@ -25,8 +31,4 @@
 ! calculation of frequently used constants (pirho_l, dpirho_l, schmidt_p_1d3, 
 ! hyrho) 
-!
-! Former revisions:
-! ------------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1053)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1054)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! initial revision
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! initial revision
 ! 
 ! Description:
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1053)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1054)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary expansions according to the two new prognostic equations (nr, qr) 
 ! of the two-moment cloud physics scheme:
@@ -35,8 +41,4 @@
 ! steering parameters for the two_moment scheme:
 ! +mu_constant, ventilation_effect
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 1053)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 1054)
@@ -23,9 +23,11 @@
 ! Current revisions:
 ! ------------------
-! +qr, nr, prr
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! +qr, nr, prr
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1053)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1054)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary expansions according to the two new prognostic equations (nr, qr) 
 ! of the two-moment cloud physics scheme and steering parameters:
@@ -25,8 +31,4 @@
 ! +*_vertical_gradient_level, surface_waterflux_*, 
 ! +cloud_scheme, drizzle, mu_constant, mu_constant_value, ventilation_effect
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1053)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1054)
@@ -20,12 +20,14 @@
 ! Current revisions:
 ! -----------------
-! implementation of two new prognostic equations for rain drop concentration (nr)
-! and rain water content (qr)
-!
-! currently, only available for cache loop optimization
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! implementation of two new prognostic equations for rain drop concentration (nr)
+! and rain water content (qr)
+!
+! currently, only available for cache loop optimization
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1053)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1054)
@@ -20,11 +20,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary expansions according to the two new prognostic equations (nr, qr) 
 ! of the two-moment cloud physics scheme:
 ! +prr, prr_av, *, *_av, *s, *sws, *swst
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1053)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1054)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! ------------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary expansions according to the two new prognostic equations (nr, qr) 
 ! of the two-moment cloud physics scheme:
@@ -29,8 +35,4 @@
 ! scheme:   
 ! +cloud_scheme, +drizzle, +mu_constant, +mu_constant_value, +ventilation_effect
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1053)
+++ /palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1054)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! +nr, prr, qr
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! +nr, prr, qr
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1053)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1054)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! swap of timelevels for nr, qr added
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! swap of timelevels for nr, qr added
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1053)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1054)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! exchange of ghost points for nr, qr added
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! exchange of ghost points for nr, qr added
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1053)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1054)
@@ -20,10 +20,12 @@
 ! Current revisions:
 ! ------------------
-! timestep is reduced in two-moment cloud scheme according to the maximum 
-! terminal velocity of rain drops
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! timestep is reduced in two-moment cloud scheme according to the maximum 
+! terminal velocity of rain drops
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/user_actions.f90
===================================================================
--- /palm/trunk/SOURCE/user_actions.f90	(revision 1053)
+++ /palm/trunk/SOURCE/user_actions.f90	(revision 1054)
@@ -20,9 +20,11 @@
 ! Current revisions:
 ! -----------------
-! +qr-tendency, nr-tendency
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
+! +qr-tendency, nr-tendency
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1053)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1054)
@@ -20,11 +20,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary expansions according to the two new prognostic equations (nr, qr) 
 ! of the two-moment cloud physics scheme:
 ! +prr, prr_av, *, *_av, *s, *sws, *swst
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1053)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1054)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1053 2012-11-13 17:11:03Z hoffmann
 ! necessary expansions according to the two new prognostic equations (nr, qr) 
 ! of the two-moment cloud physics scheme:
@@ -29,8 +35,4 @@
 ! scheme:   
 ! +cloud_scheme, +drizzle, +mu_constant, +mu_constant_value, +ventilation_effect
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1036 2012-10-22 13:43:42Z raasch